[AI10]Generate an OCR recognition task
This interface provides the task of creating and downloading OCR recognition, generating jobs_id, through jobs_id Go to "[AI10] query and export the OCR recognition results". OCR recognition supports recognizing numbers, text information, table contents, and more in images or scanned PDF files. Additionally, it can analyze the layout and provide OCR recognition results in multiple formats that closely resemble the structure of the original document.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | https://static-open.zhihuiya.com/sample/common_demo.png | The images or scanned PDF files that require OCR recognition. |
Required | string | png | The types of files that require OCR include: pdf, png, jpg. |
Required | string | doc | Search for the type of OCR recoginition results, doc/html/xls/ppt/txt |
| array | [
"简体中文",
"数字",
"英语"
] | Language(s) of the text in the file to be recognized for OCR (multiple selections allowed), for example: Simplified Chinese Abkhaz Adyghe Afrikaans Agul Albanian Altai Arabic (Saudi Arabia) Armenian (Eastern) Armenian (Western) Armenian (Grabar) Avar Aymara Azeri (Cyrillic) Azeri (Latin) Bashkir Basque Belarusian Bemba Blackfoot Breton Bugotu Bulgarian Buryat Catalan Cebuano Chamorro Chechen Chinese Traditional Chukchee Chuvash Corsican Crimean Tatar Croatian Crow Czech Dakota Danish Dargwa Dungan Dutch Dutch (Belgian) English Eskimo (Cyrillic) Eskimo (Latin) Estonian Even Evenki Faroese Fijian Finnish French Frisian Friulian Gagauz Galician Ganda German German (Luxembourg) German (New Spelling) Greek Guarani Hani Hausa Hawaiian Hebrew Hungarian Icelandic Indonesian Ingush Irish Italian Japanese Japanese (Modern) Jingpo Kabardian Kalmyk Karachay-balkar Karakalpak Kashubian Kawa Kazakh Khakass Khanty Kikuyu Kirghiz Kongo Korean Korean (Hangul) Koryak Kpelle Kumyk Kurdish Lak Latin Latvian Latvian Gothic Lezgi Lithuanian Luba Macedonian Malagasy Malay (Malaysian) Malinke Maltese Mansi Maori Mari Maya Miao Minangkabau Mohawk Mongol Mordvin Nahuatl Nenets Nivkh Nogay Norwegian Norwegian (Bokmal) Norwegian (Nynorsk) Nyanja Occitan Ojibway Old English Old French Old German Old Italian Old Slavonic Old Spanish Ossetian Papiamento Polish Portuguese Portuguese (Brazilian) Quechua (Bolivia) Rhaeto-Romanic Romanian Romanian (Moldova) Romany Rundi Russian Russian (Old Spelling) Russian with stress marks Rwanda Sami (Lappish) Samoan Scottish Gaelic Selkup Serbian (Cyrillic) Serbian (Latin) Shona Slovak Slovenian Somali Sorbian Sotho Spanish Sunda Swahili Swazi Swedish Tabasaran Tagalog Tahitian Tajik Tatar Thai Tok Pisin Tongan Tswana Tun Turkish Turkmen (Cyrillic) Turkmen (Latin) Tuvinian Udmurt Uighur (Cyrillic) Uighur (Latin) Ukrainian Uzbek (Cyrillic) Uzbek (Latin) Vietnamese Welsh Wolof Xhosa Yakut Yiddish Zapotec Zulu Note: Default is "Simplified Chinese; Numbers; English." |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
job_id | string | b4bdae6b4a65432d91f25b5c52bdfd80 | export OCR recognition result task id. |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": {
"job_id": "b4bdae6b4a65432d91f25b5c52bdfd80"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms